be.fgov.ehealth.consultrn._1_0.protocol

## Class PersonCreatedType

- java.lang.Object
- - be.fgov.ehealth.consultrn._1_0.protocol.PersonCreatedType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class PersonCreatedType
      extends Object
      implements Serializable

  When no phonetic citizens are found, and the BIS creation succeeded (no validation errors etc) this element will then contain the created BIS citizen

  Java class for PersonCreatedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonCreatedType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="PersonData" type="{urn:be:fgov:ehealth:consultRN:1_0:core}PersonDataType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonCreatedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersonDataType` | `getPersonData()` Gets the value of the personData property.
    `String` | `getSSIN()` Gets the value of the ssin property.
    `void` | `setPersonData(PersonDataType value)` Sets the value of the personData property.
    `void` | `setSSIN(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonCreatedType

          public PersonCreatedType()

  - ### Method Detail

    - #### getSSIN

          public String getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSSIN

          public void setSSIN(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPersonData

          public PersonDataType getPersonData()

      Gets the value of the personData property.
      Returns:
        possible object is `PersonDataType`

    - #### setPersonData

          public void setPersonData(PersonDataType value)

      Sets the value of the personData property.
      Parameters:
        `value` - allowed object is `PersonDataType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.